### WP-Invoice Plugin

WP-Invoice lets WordPress blog owners send itemized invoices to their clients. Ideal for web developers, SEO consultants, general contractors, or anyone with a WordPress blog and clients to bill.

***
[![Issues - Bug](https://badge.waffle.io/wp-invoice/wp-invoice.png?label=bug&title=Bugs)](http://waffle.io/wp-invoice/wp-invoice)
[![Issues - Backlog](https://badge.waffle.io/wp-invoice/wp-invoice.png?label=backlog&title=Backlog)](http://waffle.io/wp-invoice/wp-invoice/)
[![Issues - Active](https://badge.waffle.io/wp-invoice/wp-invoice.png?label=in progress&title=Active)](http://waffle.io/wp-invoice/wp-invoice/)
***
[![CircleCI](https://circleci.com/gh/wp-invoice/wp-invoice.svg?style=shield&circle-token=178695563ddbe439a85b54eb64399cd54ac69b96)](https://circleci.com/gh/wp-invoice/wp-invoice)
***

WP-Invoice 4.0 is the most popular and flexible plugin for WordPress that allows you to make your site accept payments. Complete e-commerce solutions out of the box. Flexible and extendable.

WP-Invoice lets WordPress blog owners send itemized invoices to their clients. Ideal for web developers, SEO consultants, general contractors, or anyone with a WordPress blog and clients to bill. The plugin ties into WP's user management database to keep track of your clients and their information.

Once an invoice is created from the WP admin section, an email with a brief description and a unique link is sent to client. Clients follow the link to your blog's special invoice page, view their invoice, and pay their bill using one of the available payment system. The control panel is very user-friendly and intuitive.

Credit card payments may be accepted via Authorize.net, PayPal, Interkassa (Eastern Europe), Stripe and 2Checkout. Subscriptions (Recurring Billing) implemented using Authorize.net ARB, PayPal Subscriptions, Stripe Subscriptions and 2Checkout Recurring Billing. More gateways available as Add-ons.

> WP-Invoice on [GitHub](https://github.com/wp-invoice/wp-invoice)

#### Features

* Free and Paid [Add-ons](https://www.usabilitydynamics.com/products#category-wp-invoice) available.
* WP-CRM Integration.
* Brand new user interface for much improved invoicing filtering and searching.
* Partial Payments with minimum amount.
* Receipt Page with Invoice Log.
* Per-defined Line Items.
* Discount Line Items.
* Custom Payment Entry, and administrative adjustments.
* Customizable Invoice and Receipt Templates.
* Create invoices from the WordPress control panel.
* Pre-fill customer information using the WordPress user list.
* Send invoice notifications to customers with a secured link back to the web-invoice.
* Setup recurring billing using Authorize.net's ARB (Automatic Recurring Billing) feature.
* Force web-invoice pages to be viewed in SSL mode.
* Archive old invoices.
* Easily use old invoices as templates for new ones.
* Dynamic and intuitive user interface.
* Insert an "Invoice Lookup" form using PHP or WordPress shortcode anywhere.
* Create users directly from WP-Invoice.
* Customize billing settings per invoice.
* Customize invoice notification email per invoice.
* Invoice notification, reminder and receipt templates.
* Export/Import Invoices (Power Tools Add-on).
* Sales Visualization (Power Tools Add-on).

#### Payment Options

* Authorize.net
* PayPal
* Interkassa (Eastern Europe)
* Stripe
* 2Checkout
* PayPal Payments Pro (Add-on)
* USAePay (Add-on)

#### Widgets

* **Invoice Lookup** widget allows you to add a simple invoice search form to a front-end. It will be accessible by your clients. Form accepts Invoice ID. Invoice page appears once correct Invoice ID submitted.
* **Invoice History** widget allows your clients to see a list of their invoices on a front-end.

#### Shortcodes

Shortcodes are replicating widgets doing the same.

* [wp-invoice-lookup]
* [wp-invoice-history]

#### Available Add-ons list
If you found the default functionality of WP-Invoice is not enough for your needs please take a look at the list of available [Add ons](https://www.usabilitydynamics.com/products#category-wp-invoice)

### Single Page Checkout
The Single Page Checkout (SPC) Add-on for WP-Invoice makes it easy to create one-page-checkout forms that can accept a variety of different payment gateways, such as Authorize.net and PayPal.
[More about Add-on](https://www.usabilitydynamics.com/product/wp-invoice-single-page-checkout)

### PDF Invoices and Receipts
PDF feature allows you to easily generate PDF versions of your invoices, receipts and quotes. A variety of settings makes it easy to configure PDF appearance.
[More about Add-on](https://www.usabilitydynamics.com/product/wp-invoice-pdf)

### Quotes
The Quotes feature let's you automate your workflow by creating quotes and letting your clients ask questions regarding quotes directly on your website. Once a quote is approved, it is converted to an invoice with a single click.
[More about Add-on](https://www.usabilitydynamics.com/product/wp-invoice-quotes)

### Power Tools
This Add-on allows you to export your invoices in the XML and JSON formats and import data from other WP-Invoice installations. Furthermore, it provides a graphic visualization of your sales, filtered by day, week or month.
[More about Add-on](https://www.usabilitydynamics.com/product/wp-invoice-power-tools)

#### Translations
* English (UK)
* German (DE)
* Italian (IT)
* Russian (RU)
* Spanish (ES)
* Japanese (JP)

#### Installation

1. Upload all the files into your wp-content/plugins directory, be sure to put them into a folder called "wp-invoice"
2. Activate the plugin at the plugin administration page
3. Follow set-up steps on main Invoice page
4. To create your first invoice navigate to Invoice -> New Invoice, and select the user who will be the recipient.

Please see the [wp-invoice plugin home page](https://www.usabilitydynamics.com/product/wp-invoice/) for details.

#### Frequently Asked Questions

[WP-Invoice FAQ](http://feedback.usabilitydynamics.com/knowledgebase/topics/41347-wp-invoice)
